cdac.medinfo.sdk.hl7282.baselibs

## Class CF

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.CF

- All Implemented Interfaces:
    IDataType

      public class CF
      extends CompositeDataType

  CF - Coded Element with Formatted Values

  This data type transmits codes and the formatted text associated with the code. This data type can be used to transmit for the first time the formatted text for the canned text portion of a report, for example, a standard radiological description for a normal chest X ray

  Represents an HL7 CF data type. This data type has the following attributes:

  1. identifier (ST)Optional
  2. formatted text (FT)Optional
  3. name of coding system (ID)Conditional
  4. alternate identifier (ST)Optional
  5. alternate formatted text (FT)Optional
  6. name of alternate coding system (ID)Conditional

  7. Coding System Version ID (ST)Conditional

  8. Alternate Coding System Version ID (ST)Optional

  9. Original Text (ST)Optional
  Optional

  10. Second Alternate Identifier ID (ST)Optional

  11. Second Alternate Formatted Text (FT)Optional

  12. Name of Second Alternate Coding System (ID)Optional

  13. Second Alternate Coding System Version ID (ST)Conditional

  14. Coding System OID (ST)Conditional

  15. Value Set OID (ST)Optional

  16. Value Set Version ID (DTM)Conditional

  17. Alternate Coding System OID (ST)Conditional

  18. Alternate Value Set OID (ST)Optional

  19. Alternate Value Set Version ID (DTM)Conditional

  20. Second Alternate Coding System OID (ST)Conditional

  21. Second Alternate Value Set OID (ST)Optional

  22. Second Alternate Value Set Version ID (DTM)Conditional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CF()` Default Constructor for CF
    `CF(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for CF class which takes two arguments and sets the value in the respective member variable.
    `CF(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for CF class which takes five arguments and sets the value in the respective member variable.
    `CF(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for CF class which takes six arguments and sets the value in the respective member variable.
    `CF(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CF class which takes four arguments and sets the value in the respective member variable.
    `CF(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for CF class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` /** This method checks the equality of Object.
    `ST` | `getAlternateCodingSystemOID()` Returns Alternate Coding System OID.
    `ST` | `getAlternateCodingSystemVersionID()` Returns Alternate Coding System Version ID.
    `FT` | `getAlternateFormattedText()` Returns Alternate Formatted Text.
    `ST` | `getAlternateIdentifier()` Returns Alternate Identifier.
    `ST` | `getAlternateValueSetOID()` Returns Alternate Value Set OID.
    `DTM` | `getAlternateValueSetVersionID()` Returns Alternate Value Set Version ID.
    `ST` | `getCodingSystemOID()` Returns Coding System OID.
    `ST` | `getCodingSystemVersionID()` Returns Coding System Version ID.
    `FT` | `getFormattedText()` Returns Formatted Text.
    `ST` | `getIdentifier()` Returns Identifier.
    `ID` | `getNameOfAlternateCodingSystem()` Returns Name Of Alternate Coding System.
    `ID` | `getNameOfCodingSystem()` Returns Name Of Coding System.
    `ID` | `getNameofSecondAlternateCodingSystem()` Returns Name of Second Alternate Coding System.
    `ST` | `getOriginalText()` Returns Original Text.
    `ST` | `getSecondAlternateCodingSystemOID()` Returns Second Alternate Coding System OID.
    `ST` | `getSecondAlternateCodingSystemVersionID()` Returns Second Alternate Coding System Version ID.
    `FT` | `getSecondAlternateFormattedText()` Returns Second Alternate Formatted Text.
    `ST` | `getSecondAlternateIdentifier()` Returns Second Alternate Identifier .
    `ST` | `getSecondAlternateValueSetOID()` Returns Second Alternate Value Set OID.
    `DTM` | `getSecondAlternateValueSetVersionID()` Returns Second Alternate Value Set Version ID.
    `ST` | `getValueSetOID()` Returns Value Set OID.
    `DTM` | `getValueSetVersionID()` Returns Value Set Version ID.
    `void` | `setAlternateCodingSystemOID(ST objST)` Sets the Alternate Coding System OID.
    `void` | `setAlternateCodingSystemOID(java.lang.String strAlternateCodingSystemOID)` Sets the Alternate Coding System OID .
    `void` | `setAlternateCodingSystemVersionID(ST objST)` Sets the Alternate Coding SystemVersion ID.
    `void` | `setAlternateCodingSystemVersionID(java.lang.String strAlternateCodingSystemVersionID)` Sets the Alternate Coding System Version ID.
    `void` | `setAlternateFormattedText(FT objFT)` Sets the Alternate Formatted Text.
    `void` | `setAlternateFormattedText(java.lang.String strAlternateFormattedText)` Sets the Alternate Formatted Text.
    `void` | `setAlternateIdentifier(ST objST)` Sets the Alternate Identifier.
    `void` | `setAlternateIdentifier(java.lang.String strAlternateIdentifier)` Sets the Alternate Identifier.
    `void` | `setAlternateValueSetOID(ST objST)` Sets the Alternate Value Set OID.
    `void` | `setAlternateValueSetOID(java.lang.String strAlternateValueSetOID)` Sets the Alternate Value Set OID .
    `void` | `setAlternateValueSetVersionID(DTM objDTM)` Sets the Alternate Value Set Version ID.
    `void` | `setAlternateValueSetVersionID(java.lang.String strAlternateValueSetVersionID)` Sets the Alternate Value Set Version ID .
    `void` | `setCodingSystemOID(ST objST)` Sets the Coding System OID.
    `void` | `setCodingSystemOID(java.lang.String strCodingSystemOID)` Sets the Coding System OID .
    `void` | `setCodingSystemVersionID(ST objST)` Sets the Alternate Coding System Version ID.
    `void` | `setCodingSystemVersionID(java.lang.String strCodingSystemVersionID)` Sets the Coding System Version ID.
    `void` | `setFormattedText(FT objFT)` Sets the Formatted Text.
    `void` | `setFormattedText(java.lang.String strFormattedText)` Sets the Formatted Text.
    `void` | `setIdentifier(ST objST)` Sets the Identifier
    `void` | `setIdentifier(java.lang.String strIdentifier)` Sets the Identifier
    `void` | `setNameOfAlternateCodingSystem(ID objID)` Sets the Name Of Alternate Coding System.
    `void` | `setNameOfAlternateCodingSystem(java.lang.String strNameOfAlternateCodingSystem)` Sets the Name Of Alternate Coding System.
    `void` | `setNameOfCodingSystem(ID objID)` Sets the Name Of Coding System.
    `void` | `setNameOfCodingSystem(java.lang.String strNameOfCodingSystem)` Sets the Name Of Coding System.
    `void` | `setNameofSecondAlternateCodingSystem(ID objID)` Sets the Name of Second Alternate Coding System.
    `void` | `setNameofSecondAlternateCodingSystem(java.lang.String strNameofSecondAlternateCodingSystem)` Sets the Name of Second Alternate Coding System.
    `void` | `setOriginalText(ST objST)` Sets the Original Text.
    `void` | `setOriginalText(java.lang.String strOriginalText)` Sets the Original Text.
    `void` | `setSecondAlternateCodingSystemOID(ST objST)` Sets the Second Alternate Coding System OID.
    `void` | `setSecondAlternateCodingSystemOID(java.lang.String strSecondAlternateCodingSystemOID)` Sets the Second Alternate Coding System OID.
    `void` | `setSecondAlternateCodingSystemVersionID(ST objST)` Sets the Second Alternate Coding System Version ID.
    `void` | `setSecondAlternateCodingSystemVersionID(java.lang.String strSecondAlternateCodingSystemVersionID)` Sets the Second Alternate Coding System Version ID.
    `void` | `setSecondAlternateFormattedText(FT objFT)` Sets the Second Alternate Formatted Text.
    `void` | `setSecondAlternateFormattedText(java.lang.String strSecondAlternateFormattedText)` Sets the Second Alternate Formatted Text.
    `void` | `setSecondAlternateIdentifier(ST objST)` Sets the Second Alternate Identifier.
    `void` | `setSecondAlternateIdentifier(java.lang.String strSecondAlternateIdentifier)` Sets the Second Alternate Identifier.
    `void` | `setSecondAlternateValueSetOID(ST objST)` Sets the Second Alternate Value Set OID.
    `void` | `setSecondAlternateValueSetOID(java.lang.String strSecondAlternateValueSetOID)` Sets the Second Alternate Value Set OID.
    `void` | `setSecondAlternateValueSetVersionID(DTM objDTM)` Sets the Second Alternate Value Set Version ID.
    `void` | `setSecondAlternateValueSetVersionID(java.lang.String strSecondAlternateValueSetVersionID)` Sets the Second Alternate Value Set Version ID .
    `void` | `setValueSetOID(ST objST)` Sets the Value Set OID.
    `void` | `setValueSetOID(java.lang.String strValueSetOID)` Sets the Value Set OID .
    `void` | `setValueSetVersionID(DTM objDTM)` Sets the Value Set Version ID.
    `void` | `setValueSetVersionID(java.lang.String strValueSetVersionID)` Sets the Value Set Version ID .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CF

          public CF()

      Default Constructor for CF

    - #### CF

          public CF(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CF class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CF

          public CF(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CF class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CF

          public CF(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for CF class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CF

          public CF(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for CF class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CF

          public CF(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for CF class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setIdentifier

          public void setIdentifier(java.lang.String strIdentifier)

      Sets the Identifier
      Parameters:
        `strIdentifier` - Specifies Sequence of characters (the code) that uniquely identifies the item being referenced by the CF-2.

    - #### setIdentifier

          public void setIdentifier(ST objST)

      Sets the Identifier
      Parameters:
        `objST` - Specifies Sequence of characters (the code) that uniquely identifies the item being referenced by the CF-2.

    - #### setFormattedText

          public void setFormattedText(java.lang.String strFormattedText)

      Sets the Formatted Text.
      Parameters:
        `strFormattedText` - Specifies Name or description of the item in question with the addition of embedded formatting instructions.

    - #### setFormattedText

          public void setFormattedText(FT objFT)

      Sets the Formatted Text.
      Parameters:
        `objFT` - Specifies Name or description of the item in question with the addition of embedded formatting instructions.

    - #### setNameOfCodingSystem

          public void setNameOfCodingSystem(java.lang.String strNameOfCodingSystem)

      Sets the Name Of Coding System.
      Parameters:
        `strNameOfCodingSystem` - Specifies the name of the coding system employed.

    - #### setNameOfCodingSystem

          public void setNameOfCodingSystem(ID objID)

      Sets the Name Of Coding System.
      Parameters:
        `objID` - Specifies the name of the coding system employed.

    - #### setAlternateIdentifier

          public void setAlternateIdentifier(java.lang.String strAlternateIdentifier)

      Sets the Alternate Identifier.
      Parameters:
        `strAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies an alternate code.

    - #### setAlternateIdentifier

          public void setAlternateIdentifier(ST objST)

      Sets the Alternate Identifier.
      Parameters:
        `objST` - Specifies a sequence of characters that uniquely identifies an alternate code.

    - #### setAlternateFormattedText

          public void setAlternateFormattedText(java.lang.String strAlternateFormattedText)

      Sets the Alternate Formatted Text.
      Parameters:
        `strAlternateFormattedText` - Specifies name or description of the alternate identifier in question with the addition of embedded formatting instructions.

    - #### setAlternateFormattedText

          public void setAlternateFormattedText(FT objFT)

      Sets the Alternate Formatted Text.
      Parameters:
        `objFT` - Specifies name or description of the alternate identifier in question with the addition of embedded formatting instructions.

    - #### setNameOfAlternateCodingSystem

          public void setNameOfAlternateCodingSystem(java.lang.String strNameOfAlternateCodingSystem)

      Sets the Name Of Alternate Coding System.
      Parameters:
        `strNameOfAlternateCodingSystem` - Specifies the name of the coding system employed for the alternate identifier.

    - #### setNameOfAlternateCodingSystem

          public void setNameOfAlternateCodingSystem(ID objID)

      Sets the Name Of Alternate Coding System.
      Parameters:
        `objID` - Specifies the name of the coding system employed for the alternate identifier.

    - #### setCodingSystemVersionID

          public void setCodingSystemVersionID(java.lang.String strCodingSystemVersionID)

      Sets the Coding System Version ID.
      Parameters:
        `strCodingSystemVersionID` - carries the version for the coding system identified by components 1-3.

    - #### setCodingSystemVersionID

          public void setCodingSystemVersionID(ST objST)

      Sets the Alternate Coding System Version ID.
      Parameters:
        `objST` - carries the version for the coding system identified by components 1-3.

    - #### setAlternateCodingSystemVersionID

          public void setAlternateCodingSystemVersionID(java.lang.String strAlternateCodingSystemVersionID)

      Sets the Alternate Coding System Version ID.
      Parameters:
        `strAlternate` - Coding System Version ID carries the version for the coding system identified by components 4-6.

    - #### setAlternateCodingSystemVersionID

          public void setAlternateCodingSystemVersionID(ST objST)

      Sets the Alternate Coding SystemVersion ID.
      Parameters:
        `objST` - carries version for the coding system identified by components 4-6.

    - #### setOriginalText

          public void setOriginalText(java.lang.String strOriginalText)

      Sets the Original Text.
      Parameters:
        `strOriginalText` - specifies the text as seen and/or selected by the user who entered the data.

    - #### setOriginalText

          public void setOriginalText(ST objST)

      Sets the Original Text.
      Parameters:
        `objST` - specifies the text as seen and/or selected by the user who entered the data.

    - #### setSecondAlternateIdentifier

          public void setSecondAlternateIdentifier(java.lang.String strSecondAlternateIdentifier)

      Sets the Second Alternate Identifier.
      Parameters:
        `strSecondAlternateIdentifier` - specifies the sequence of characters that uniquely identifies an alternate code.

    - #### setSecondAlternateIdentifier

          public void setSecondAlternateIdentifier(ST objST)

      Sets the Second Alternate Identifier.
      Parameters:
        `objST` - the sequence of characters that uniquely identifies an alternate code.

    - #### setSecondAlternateFormattedText

          public void setSecondAlternateFormattedText(java.lang.String strSecondAlternateFormattedText)

      Sets the Second Alternate Formatted Text.
      Parameters:
        `strSecondAlternateFormattedText` - Specifies the descriptive or textual name of the Second Alternate Identifier.

    - #### setSecondAlternateFormattedText

          public void setSecondAlternateFormattedText(FT objFT)

      Sets the Second Alternate Formatted Text.
      Parameters:
        `objFT` - Specifies the descriptive or textual name of the Second Alternate Identifier.

    - #### setNameofSecondAlternateCodingSystem

          public void setNameofSecondAlternateCodingSystem(java.lang.String strNameofSecondAlternateCodingSystem)

      Sets the Name of Second Alternate Coding System.
      Parameters:
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the Second Alternate Identifier component.

    - #### setNameofSecondAlternateCodingSystem

          public void setNameofSecondAlternateCodingSystem(ID objID)

      Sets the Name of Second Alternate Coding System.
      Parameters:
        `objID` - Identifies the coding scheme being used in the Second Alternate Identifier component.

    - #### setSecondAlternateCodingSystemVersionID

          public void setSecondAlternateCodingSystemVersionID(java.lang.String strSecondAlternateCodingSystemVersionID)

      Sets the Second Alternate Coding System Version ID.
      Parameters:
        `strSecondAlternateFormattedText` - carries the version for the coding system identified by components 10-12.

    - #### setSecondAlternateCodingSystemVersionID

          public void setSecondAlternateCodingSystemVersionID(ST objST)

      Sets the Second Alternate Coding System Version ID.
      Parameters:
        `objST` - carries the version for the coding system identified by components 10-12.

    - #### setCodingSystemOID

          public void setCodingSystemOID(java.lang.String strCodingSystemOID)

      Sets the Coding System OID .
      Parameters:
        `strSCoding` - System OID contains the ISO Object Identifier (OID) for the coding system.

    - #### setCodingSystemOID

          public void setCodingSystemOID(ST objST)

      Sets the Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setValueSetOID

          public void setValueSetOID(java.lang.String strValueSetOID)

      Sets the Value Set OID .
      Parameters:
        `strValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setValueSetOID

          public void setValueSetOID(ST objST)

      Sets the Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setValueSetVersionID

          public void setValueSetVersionID(java.lang.String strValueSetVersionID)

      Sets the Value Set Version ID .
      Parameters:
        `strValueSetVersionID` - carries the version for the value set.

    - #### setValueSetVersionID

          public void setValueSetVersionID(DTM objDTM)

      Sets the Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set.

    - #### setAlternateCodingSystemOID

          public void setAlternateCodingSystemOID(java.lang.String strAlternateCodingSystemOID)

      Sets the Alternate Coding System OID .
      Parameters:
        `strAlternateCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setAlternateCodingSystemOID

          public void setAlternateCodingSystemOID(ST objST)

      Sets the Alternate Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setAlternateValueSetOID

          public void setAlternateValueSetOID(java.lang.String strAlternateValueSetOID)

      Sets the Alternate Value Set OID .
      Parameters:
        `strAlternateValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setAlternateValueSetOID

          public void setAlternateValueSetOID(ST objST)

      Sets the Alternate Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setAlternateValueSetVersionID

          public void setAlternateValueSetVersionID(java.lang.String strAlternateValueSetVersionID)

      Sets the Alternate Value Set Version ID .
      Parameters:
        `strAlternateValueSetVersionID` - carries the version for the value set.

    - #### setAlternateValueSetVersionID

          public void setAlternateValueSetVersionID(DTM objDTM)

      Sets the Alternate Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set.

    - #### setSecondAlternateCodingSystemOID

          public void setSecondAlternateCodingSystemOID(java.lang.String strSecondAlternateCodingSystemOID)

      Sets the Second Alternate Coding System OID.
      Parameters:
        `strSecondAlternateCodingSystemOID` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setSecondAlternateCodingSystemOID

          public void setSecondAlternateCodingSystemOID(ST objST)

      Sets the Second Alternate Coding System OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) for the coding system.

    - #### setSecondAlternateValueSetOID

          public void setSecondAlternateValueSetOID(java.lang.String strSecondAlternateValueSetOID)

      Sets the Second Alternate Value Set OID.
      Parameters:
        `strSecondAlternateValueSetOID` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setSecondAlternateValueSetOID

          public void setSecondAlternateValueSetOID(ST objST)

      Sets the Second Alternate Value Set OID.
      Parameters:
        `objST` - contains the ISO Object Identifier (OID) to allow identification of the value set.

    - #### setSecondAlternateValueSetVersionID

          public void setSecondAlternateValueSetVersionID(java.lang.String strSecondAlternateValueSetVersionID)

      Sets the Second Alternate Value Set Version ID .
      Parameters:
        `strSecondAlternateValueSetVersionID` - carries the version for the value set.

    - #### setSecondAlternateValueSetVersionID

          public void setSecondAlternateValueSetVersionID(DTM objDTM)

      Sets the Second Alternate Value Set Version ID.
      Parameters:
        `objDTM` - carries the version for the value set.

    - #### getIdentifier

          public ST getIdentifier()

      Returns Identifier.
      Returns:
        ST - data type.

    - #### getFormattedText

          public FT getFormattedText()

      Returns Formatted Text.
      Returns:
        FT - data type.

    - #### getNameOfCodingSystem

          public ID getNameOfCodingSystem()

      Returns Name Of Coding System.
      Returns:
        ID - data type.

    - #### getAlternateIdentifier

          public ST getAlternateIdentifier()

      Returns Alternate Identifier.
      Returns:
        ST - data type.

    - #### getAlternateFormattedText

          public FT getAlternateFormattedText()

      Returns Alternate Formatted Text.
      Returns:
        FT - data type.

    - #### getNameOfAlternateCodingSystem

          public ID getNameOfAlternateCodingSystem()

      Returns Name Of Alternate Coding System.
      Returns:
        ID - data type.

    - #### getCodingSystemVersionID

          public ST getCodingSystemVersionID()

      Returns Coding System Version ID.
      Returns:
        ST - data type.

    - #### getAlternateCodingSystemVersionID

          public ST getAlternateCodingSystemVersionID()

      Returns Alternate Coding System Version ID.
      Returns:
        ST - data type.

    - #### getOriginalText

          public ST getOriginalText()

      Returns Original Text.
      Returns:
        ST - data type.

    - #### getSecondAlternateIdentifier

          public ST getSecondAlternateIdentifier()

      Returns Second Alternate Identifier .
      Returns:
        ST - data type.

    - #### getSecondAlternateFormattedText

          public FT getSecondAlternateFormattedText()

      Returns Second Alternate Formatted Text.
      Returns:
        FT - data type.

    - #### getNameofSecondAlternateCodingSystem

          public ID getNameofSecondAlternateCodingSystem()

      Returns Name of Second Alternate Coding System.
      Returns:
        ID - data type.

    - #### getSecondAlternateCodingSystemVersionID

          public ST getSecondAlternateCodingSystemVersionID()

      Returns Second Alternate Coding System Version ID.
      Returns:
        ST - data type.

    - #### getCodingSystemOID

          public ST getCodingSystemOID()

      Returns Coding System OID.
      Returns:
        ST - data type.

    - #### getValueSetOID

          public ST getValueSetOID()

      Returns Value Set OID.
      Returns:
        ST - data type.

    - #### getValueSetVersionID

          public DTM getValueSetVersionID()

      Returns Value Set Version ID.
      Returns:
        DTM - data type.

    - #### getAlternateCodingSystemOID

          public ST getAlternateCodingSystemOID()

      Returns Alternate Coding System OID.
      Returns:
        ST - data type.

    - #### getAlternateValueSetOID

          public ST getAlternateValueSetOID()

      Returns Alternate Value Set OID.
      Returns:
        ST - data type.

    - #### getAlternateValueSetVersionID

          public DTM getAlternateValueSetVersionID()

      Returns Alternate Value Set Version ID.
      Returns:
        DTM - data type.

    - #### getSecondAlternateCodingSystemOID

          public ST getSecondAlternateCodingSystemOID()

      Returns Second Alternate Coding System OID.
      Returns:
        ST - data type.

    - #### getSecondAlternateValueSetOID

          public ST getSecondAlternateValueSetOID()

      Returns Second Alternate Value Set OID.
      Returns:
        ST - data type.

    - #### getSecondAlternateValueSetVersionID

          public DTM getSecondAlternateValueSetVersionID()

      Returns Second Alternate Value Set Version ID.
      Returns:
        DTM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      /** This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.